/* 	AUTHOR		https://osd.systems
** 	DATE 		17.12.2018
** 	VERSION		1.34.0
**
*/

#include "Arduino.h"  
#define HEADER    0xFF
#define ID       0x01
#define SYMBOL   0x02
#define CLRSCR   0x03
#define TEXT     0x04
#define LINE     0x05
#define CIRCLE   0x06
#define LINEHV   0x07
#define WYKRES   0x08
#define SETWYKRES   0x0A
#define SETGRID   0x0B
#define UPGRADEBITMAP   0x0C
#define SETBITMAP       0x0D
#define byte unsigned char
class OSD50HD
{
public:
void ClrText(char iID);
void SendText(char iID, unsigned char iX, unsigned char iY, char* str);
void SendLineHV(char iID, unsigned short X, unsigned short Y, unsigned short LX, unsigned short LY, byte colour, byte Vsync, byte object);
void UpdateBitmap(char iID, int NrBmp, int adrress, uint16_t DataCount, byte *data);
void SetBitmap(char iID, unsigned short X, unsigned short Y, byte LX, byte LY, byte dim, unsigned short styl, byte colour, byte object);
void SendGrid(char iID, unsigned short X1, unsigned short Y1, unsigned short X2, unsigned short Y2, byte LineWidth, unsigned short DistanceX, unsigned short DistanceY, byte colour, byte object);
void SetPlot(char iID, unsigned short X, unsigned short Y, byte LX, byte LY, byte styl, byte colour, byte object);
void UpdatePlot(char iID, byte plot, unsigned short value);
void SendFrame(char *, int count);
void SendCircle(char iID, unsigned short X, unsigned short Y, unsigned short radixX, unsigned short radixY, unsigned short grubosc, byte colour, byte Vsync, byte object);
void SendLine(char iID, unsigned short X1, unsigned short Y1, unsigned short X2, unsigned short Y2, unsigned short LineWidth, byte colour, byte Vsync, byte object);
};
